<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ImageCodec Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ImageCodec.html">Ogre::ImageCodec</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#e972de8ed9eedf56855bdaf6c21d0645">code</a>(MemoryDataStreamPtr &amp;input, CodecDataPtr &amp;pData) const =0</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#29e31ad112b08ea7fb648b63f426ff1f">CodecDataPtr</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#21f4b8a16d070793d576f827c9fee218">CodecIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#6359075bde4a8d569b9b8ce66672e7da">CodecList</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#77edfaacf42d2fce9cd2b8a82a9d00d6">codeToFile</a>(MemoryDataStreamPtr &amp;input, const String &amp;outFileName, CodecDataPtr &amp;pData) const =0</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#63f306b8171a0ea5cf319824044958e4">decode</a>(DataStreamPtr &amp;input) const =0</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#8cc81c85bd7d4e25393aa153c5e01454">DecodeResult</a> typedef</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#cc4ee751f92b6e54051393e74e0a2884">getCodec</a>(const String &amp;extension)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#55bf1d49e91958f8e412a583666bbd58">getCodecIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec.html#c4b5cbd627bb15c58088eec2319d881a">getDataType</a>() const </td><td><a class="el" href="classOgre_1_1ImageCodec.html">Ogre::ImageCodec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#6092324fd74dd0221f7c63ca8bec4fc1">getExtensions</a>(void)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#da1a5477ab6a563565f1b3599d7b806a">getType</a>() const =0</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#715604fe2fb727a6aa4f1e9c9364f870">ms_mapCodecs</a></td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#60f445cc6919df56af6611fd14eec47d">registerCodec</a>(Codec *pCodec)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#c1199a6638ff560aa81287cd12c26bcf">unRegisterCodec</a>(Codec *pCodec)</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Codec.html#ee7d2a1126a22bbf3da40088495cb00b">~Codec</a>()</td><td><a class="el" href="classOgre_1_1Codec.html">Ogre::Codec</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ImageCodec.html#bc965356799dafed861787b57e7631e6">~ImageCodec</a>()</td><td><a class="el" href="classOgre_1_1ImageCodec.html">Ogre::ImageCodec</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:04 2008
</p>
</body>
</html>
